#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv) 
{
    int start = atoi(argv[1]);
    int end = atoi(argv[2]);
    srand(atoi(argv[3]));
    for (int i = start; i <= end; i++) 
    {
        char fn[32];
        sprintf(fn, "%02d", i);
        freopen(fn, "w", stdout);
        int time = rand() % (24 * 60);
        printf("%02d:%02d\n", time / 60, time % 60);
    }
    return 0;
}